import React, { Component,useEffect, useState  } from 'react';
import axios from 'axios';
//import {Link} from "react-router-dom";
//import './App.css';
import 'bootstrap/dist/css/bootstrap.min.css';
import * as FPUtils from '../../fp-utils.js';
import * as Flashphoner from '@flashphoner/websdk';

const SESSION_STATUS = Flashphoner.constants.SESSION_STATUS;
const STREAM_STATUS = Flashphoner.constants.STREAM_STATUS;
const Browser = Flashphoner.Browser;
const PRELOADER_URL = process.env.PUBLIC_URL + '/media/preloader.mp4';
var CONNECTION_QUALITY = Flashphoner.constants.CONNECTION_QUALITY;
//var MEDIA_DEVICE_KIND = Flashphoner.constants.MEDIA_DEVICE_KIND;
//var TRANSPORT_TYPE = Flashphoner.constants.TRANSPORT_TYPE;
var CONNECTION_QUALITY_UPDATE_TIMEOUT_MS = 10000;
var STAT_INTERVAL = 1000;
//var localVideo;
//var remoteVideo;
//var constraints;
var previewStream;
var publishStream;
//var currentVolumeValue = 50;
//var currentGainValue = 50;
var statsIntervalID;
//var intervalID;
//var extensionId = "nlbaajplpmleofphigmgaifhoikjmbkg";
var videoBytesSent = 0;
var audioBytesSent = 0;
var videoBytesReceived = 0;
var audioBytesReceived = 0;
var playConnectionQualityStat = {};
var publishConnectionQualityStat = {};

class Home extends Component {

  constructor(props) {
    super(props);
    this.state = {
      apiFailed: '',
      session: null,
      sessionStatus: '',
      sessionStatusClass: 'text-muted',
      localVideo: null,
      remoteVideo: null,
      publishStream: null,
      publishStatus: '',
      publishStatusClass: 'text-muted',
      playStream: null,
      playStatus: '',
      playStatusClass: 'text-muted',
      publishStreamName: 'streamName',
      publishStreamNameDisabled: true,
      playStreamName: 'streamName',
      playStreamNameDisabled: true,
      connectButtonText: 'Connect to server',
      connectButtonDisabled: false,
      //serverUrl: 'wss://gpurack.easestream.com:8443/',
      //serverUrl: 'wss://aws.easestream.com:8443',
      serverUrl: 'wss://awscpu.easestream.com:8443',
      serverUrlDisabled: false,
      publishButtonText: 'Publish',
      publishButtonDisabled: true,
      playButtonText: 'Play',
      playButtonDisabled: true,
      muteAudioButtonText: 'Mute Audio',
      muteAudioButtonDisabled: false,
      muteVideoButtonText: 'Mute Video',
      muteVideoButtonDisabled: false,
      minBitrate:'1000',
      maxBitrate: '2000',
      frameRate: '30',
      width:'1280',
      height:'720',
      recordFileName: null,
      // gainValue: '50',
      // record_streams:true,
      // record_flash_published_streams:true,
      // record_rtsp_streams:true,
      // record_dir: /usr/local/FlashphonerWebCallServer/records,
      // record_audio_codec_sample_rate:48000,
    
    };

   
  }

  componentDidMount() {
    try {
      Flashphoner.init({});
      this.setState({
        localVideo: document.getElementById('localVideo'),
        remoteVideo: document.getElementById('remoteVideo'),
      
      });
    }
    catch(e) {
      console.log(e);
      this.setState({
        apiFailed: 'Your browser does not support WebRTC technology needed for this example',
        connectButtonDisabled: true,
        serverUrlDisabled: true
      });
    }

    this.onConnectClick();
  

    Flashphoner.getMediaDevices(null, true).then(function(list) {
      //Get a list of available Microphone
      list.audio.forEach(function(device) {
          //List filling
          var audio = document.getElementById("audioInput");
          
          var deviceInList = false;
          for (var i = 0; i < audio.options.length; i++) {
              if (audio.options[i].value === device.id) {
                  deviceInList = true;
                  break;
              }
          }
          if (!deviceInList) {
              var option = document.createElement("option");
              option.text = device.label || device.id;
              option.value = device.id;
              audio.appendChild(option);
          }
      });
      //Get a list of available Camera
      list.video.forEach(function(device) {
          //List filling
          var video = document.getElementById("videoInput");
          var deviceInList = false;
          for (var i = 0; i < video.options.length; i++) {
              if (video.options[i].value === device.id) {
                  deviceInList = true;
                  break;
              }
          }
          if (!deviceInList) {
              var option = document.createElement("option");
              option.text = device.label || device.id;
              option.value = device.id;
              if (option.text.toLowerCase().indexOf("back") >= 0 && video.children.length > 0) {
                  video.insertBefore(option, video.children[0]);
              } else {
                  video.appendChild(option);
              }
          }
      });



  });

  }


  onConnected = (session) => {
    this.setState({
      session: session,
      connectButtonText: 'Disconnect to server',
      connectButtonDisabled: false,
      serverUrlDisabled: true
    });
   this.onUnpublished();
   this.onStopped();
   
   
  }

  onDisconnected = () => {
    this.setState({
      session: null,
      connectButtonText: 'Connect to server',
      connectButtonDisabled: false,
      serverUrlDisabled: false
    });
    this.onUnpublished();
    this.onStopped();
  }

  onPublishing = (stream) => {
    if (!statsIntervalID) {
      statsIntervalID = setInterval(this.loadStats(), STAT_INTERVAL);
  }

    console.log('stream',stream);
    this.setState({
      publishStream: stream,
      publishButtonText: 'Unpublish',
      publishButtonDisabled: false
    });
   this.startRecording();
   this.handleSubmit();
   this.showDownloadLink();
  
    
 //setTimeout(() => {
 //sessionStorage.setItem("streamName", stream);
 //}, 2000);

  }

  onUnpublished = () => {
    let session = this.state.session;
    let itemState = true;

    if(session && session.status() === SESSION_STATUS.ESTABLISHED) {
      itemState = false;
    }
   
    this.setState({
      publishStream: null,
      publishButtonText: 'Publish',
      publishButtonDisabled: itemState,
      publishStreamNameDisabled: itemState
    });
    
  }

  onPlaying = (stream) => {
    if (!statsIntervalID) {
      statsIntervalID = setInterval(this.loadStats(), STAT_INTERVAL);
  }
    this.setState({
      playStream: stream,
      playButtonText: 'Stop',
      playButtonDisabled: false
    });
  }

  onStopped = () => {
    let session = this.state.session;
    let itemState = true;

    if(session && session.status() === SESSION_STATUS.ESTABLISHED) {
      itemState = false;
    }
    this.setState({
      playStream: null,
      playButtonText: 'Play',
      playButtonDisabled: itemState,
      playStreamNameDisabled: itemState
    });
   
  }

  publishStream = () => {
    let app = this;
    let session = this.state.session;
    let streamName = this.state.publishStreamName;
    let localVideo = this.state.localVideo;

 


    if(session && localVideo) {
       
      session.createStream({
        name: streamName,
        display: localVideo,
        cacheLocalResources: true,
        receiveVideo: false,
        receiveAudio: false,
        useControls: false,
        record: true,
        recordDisplay: true,
        videoContentHint: "detail",
        transport: 'TCP',
        constraints: {
          video: {
              deviceId: document.getElementById("videoInput").value,
              width: document.getElementById("sendWidth").value,
              height: document.getElementById("sendHeight").value,
              minBitrate: document.getElementById("sendBitrateMin").value,
              maxBitrate: document.getElementById("sendBitrateMax").value,
              frameRate: document.getElementById("sendFPS").value,
            //  gainValue: document.getElementById("sendGain").value,
          },
          audio: {
            deviceId: document.getElementById("audioInput").value,
            //gainValue: document.getElementById("sendGain").value,
        }
      }

      }).on(STREAM_STATUS.PUBLISHING, (stream) => {
             app.setState({publishStatus: STREAM_STATUS.PUBLISHING, publishStatusClass: 'text-success'});
             app.onPublishing(stream);
           }).on(STREAM_STATUS.UNPUBLISHED, (stream)=> {
             app.setState({publishStatus: STREAM_STATUS.UNPUBLISHED, publishStatusClass: 'text-success'});
           
             app.showDownloadLink(stream.getRecordInfo());
             app.onUnpublished();
           }).on(STREAM_STATUS.FAILED, (stream) => {
             app.setState({publishStatus: STREAM_STATUS.FAILED, publishStatusClass: 'text-danger'});
             app.showDownloadLink(stream.getRecordInfo());
             app.onUnpublished();
           }).publish();
    }
  }







   loadStats = () => {
  

    if (publishStream) {
        publishStream.getStats(function (stats) {
          var outVideoStat = document.getElementById("outVideoStat");
          var outVideoStatBitrate = document.getElementById("outVideoStatBitrate");
            if (stats && stats.outboundStream) {
                if (stats.outboundStream.video) {
                  this.showStat(stats.outboundStream.video, "outVideoStat");
                    let vBitrate = (stats.outboundStream.video.bytesSent - videoBytesSent) * 8;
                    if (outVideoStatBitrate.length === 0) {
                      const html = (
                        <div>
                          Bitrate: <span id='outVideoStatBitrate' style={{ fontWeight: 'normal' }}>{vBitrate}</span>
                        </div>
                      );
                       outVideoStat.append(html);
                    } else {
                        outVideoStatBitrate.text(vBitrate);
                    }
                    videoBytesSent = stats.outboundStream.video.bytesSent;

                    if(new Date().valueOf() - CONNECTION_QUALITY_UPDATE_TIMEOUT_MS > publishConnectionQualityStat.connectionQualityUpdateTimestamp) {
                        publishConnectionQualityStat.quality = CONNECTION_QUALITY.UNKNOWN;
                    }
                }


                var outAudioStat = document.getElementById("outAudioStat");
                var outAudioStatBitrate = document.getElementById("outAudioStatBitrate");
                if (stats.outboundStream.audio) {
                  this.showStat(stats.outboundStream.audio, "outAudioStat");
                    let aBitrate = (stats.outboundStream.audio.bytesSent - audioBytesSent) * 8;
                    if (outAudioStatBitrate.length === 0) {
                      const html = (
                        <div>
                          Bitrate: <span id='outAudioStatBitrate' style={{ fontWeight: 'normal' }}>{aBitrate}</span>
                        </div>
                      );
                           outAudioStat.append(html);
                    } else {
                        outAudioStatBitrate.text(aBitrate);
                    }
                    audioBytesSent = stats.outboundStream.audio.bytesSent;
                }
            }



            if (publishConnectionQualityStat.quality !== undefined) {
              this.showStat({"quality": publishConnectionQualityStat.quality}, "outConnectionStat");
            }
        });
    }
    if (previewStream) {
        previewStream.getStats(function (stats) {

          var inVideoStat = document.getElementById("inVideoStat");
          var inVideoStatBitrate = document.getElementById("inVideoStatBitrate");

            if (stats && stats.inboundStream) {
                if (stats.inboundStream.video) {
                  this.showStat(stats.inboundStream.video, "inVideoStat");
                    let vBitrate = (stats.inboundStream.video.bytesReceived - videoBytesReceived) * 8;
                    if (inVideoStatBitrate.length === 0) {
                      const html = (
                        <div>
                          Bitrate: <span id='inVideoStatBitrate' style={{ fontWeight: 'normal' }}>{vBitrate}</span>
                        </div>
                      );
                    inVideoStat.append(html);
                    } else {
                       inVideoStatBitrate.text(vBitrate);
                    }
                    videoBytesReceived = stats.inboundStream.video.bytesReceived;

                    if(new Date().valueOf() - CONNECTION_QUALITY_UPDATE_TIMEOUT_MS > playConnectionQualityStat.connectionQualityUpdateTimestamp) {
                        playConnectionQualityStat.quality = CONNECTION_QUALITY.UNKNOWN;
                    }
                }
                
                var inAudioStat = document.getElementById("inAudioStat");
                var inAudioStatBitrate = document.getElementById("inAudioStatBitrate");

                if (stats.inboundStream.audio) {
                  this.showStat(stats.inboundStream.audio, "inAudioStat");
                    let aBitrate = (stats.inboundStream.audio.bytesReceived - audioBytesReceived) * 8;
                    if (inAudioStatBitrate.length === 0) {
                      const html = (
                        <div style={{ fontWeight: 'bold' }}>
                          Bitrate: <span id='inAudioStatBitrate' style={{ fontWeight: 'normal' }}>{aBitrate}</span>
                        </div>
                      );
                    inAudioStat.append(html);
                    } else {
                        inAudioStatBitrate.text(aBitrate);
                    }
                    audioBytesReceived = stats.inboundStream.audio.bytesReceived;
                }
                if (playConnectionQualityStat.quality !== undefined) {
                    this.showStat({"quality": playConnectionQualityStat.quality}, "inConnectionStat");
                }
            }
        });
    }

    console.log("loadStats function called");
   // this.showStat();
}


showStat = (stat, type) => {
  
  Object.keys(stat).forEach(function(key) {
    if (typeof stat[key] !== 'object') {
      const k = key.split(/(?=[A-Z])/);
        let metric = "";
        for (let i = 0; i < k.length; i++) {
            metric += k[i][0].toUpperCase() + k[i].substring(1) + " ";
        }
        if (("#" + key + "-" + type).length === 0) {
          const html = "<div style='font-weight: bold'>" + metric.trim() + ": <span id='" + key  + "-" + type + "' style='font-weight: normal'></span>" + "</div>";
            (html).insertAfter("#" + type);
            ("#" + type).append(html);
        } else {
            ("#" + key + "-" + type).text(stat[key]);
        }
    }
});

console.log("showStat function called");
}




someEventHandler = () => {
  this.loadStats();
 
}




  handleSubmit = e => {
  
   //let streamName = this.state.publishStreamName;
   // const link =  'https://gpurack.easestream.com:8444/client/records/'+streamName;
   // sessionStorage.setItem("stmlink", link);
   //const stmlinkm = sessionStorage.getItem('stmlink'); 
   //const link =  'https://gpurack.easestream.com:8444/client/records/' + streamName;
     
      // console.log(streamName);
      // console.log(stmlinkm);
      // axios({
      //   method: 'GET',
      //   url: 'https://mindinfodemo.com/emailapi/aws_cpu_insertdata.php?stream_id='+ streamName +'&video_link='+ stmlinkm,
      // })
   
      // .then(response => {
      //   console.log(response)
      // console.log(response.request)
      // })
      // .catch(error => {
      //   console.log(error)
      // }
      // )
   
    }

// Show link to download recorded stream
 showDownloadLink = (name) => {

  
  if (name) {
      // Set correct path for records. Stream records are saved to WCS_HOME/records directory.
      // http://flashphoner.com/docs/wcs4/wcs_docs/html/en/wcs-developer-guide/quick_start_recording_streams.htm
      //const link = window.location.protocol + "//" + window.location.host + '/client/records/' + name;
      
      const link =  'https://awscpu.easestream.com:8444/client/records/' + name;

      // setTimeout(() => {
      //   sessionStorage.setItem("stmlink", link);
      // }, 200);

      console.log(link);
      console.log(name);
     // document.getElementById("link").href= link;
     // document.getElementById("recVideo").src= link;
       
      //("#link").attr("href", link);
      //("#recVideo").attr("src", link).attr("controls", true);
      
 

  let streamName = this.state.publishStreamName;

  console.log(streamName);
  console.log(link);
  axios({
    method: 'GET',
    url: 'https://mindinfodemo.com/emailapi/aws_cpu_insertdata.php?stream_id='+ streamName +'&video_link='+ link,
   
  })

  .then(response => {
    console.log(response)
  console.log(response.request)
  })
  .catch(error => {
    console.log(error)
   
  })

}

}




  playStream = () => {
    let app = this;
    let session = this.state.session;
    let streamName = this.state.playStreamName;
    let remoteVideo = this.state.remoteVideo;

    if(session && remoteVideo) {
      session.createStream({
        name: streamName,
        display: remoteVideo,
        useControls: true,

      }).on(STREAM_STATUS.PENDING, (stream) => {
        let video = document.getElementById(stream.id());
        if (!video.hasListeners) {
            video.hasListeners = true;
            video.addEventListener('resize', (event) => {
                FPUtils.resizeVideo(event.target);
            });
        }
      }).on(STREAM_STATUS.PLAYING, (stream) => {
        app.setState({playStatus: STREAM_STATUS.PLAYING, playStatusClass: 'text-success'});
        app.onPlaying(stream);
       
      }).on(STREAM_STATUS.STOPPED, () => {
        app.setState({playStatus: STREAM_STATUS.STOPPED, playStatusClass: 'text-success'});
        app.onStopped();
      }).on(STREAM_STATUS.FAILED, () => {
        app.setState({playStatus: STREAM_STATUS.FAILED, playStatusClass: 'text-danger'});
        app.onStopped();
      }).play();
    }
  }

  onConnectClick = () => {
    let app = this;
    let url = this.state.serverUrl;
    let session = this.state.session;

    if (!session) {
      console.log("Create new session with url " + url);
      app.setState({connectButtonDisabled: true, serverUrlDisabled: true});
      Flashphoner.createSession({urlServer: url}).on(SESSION_STATUS.ESTABLISHED, (session) => {
        app.setState({sessionStatus: SESSION_STATUS.ESTABLISHED, sessionStatusClass: 'text-success'});
        app.onConnected(session);
      }).on(SESSION_STATUS.DISCONNECTED, () => {
        app.setState({sessionStatus: SESSION_STATUS.DISCONNECTED, sessionStatusClass: 'text-success'});
        app.onDisconnected();
      }).on(SESSION_STATUS.FAILED, () => {
        app.setState({sessionStatus: SESSION_STATUS.FAILED, sessionStatusClass: 'text-danger'});
        app.onDisconnected();
      });
    } else {
      app.setState({connectButtonDisabled: true});
      session.disconnect();
    }

  }

  onPublishClick = () => {
    let app = this;
    let stream = this.state.publishStream;
    let localVideo = this.state.localVideo;

    if (!localVideo) return;
    if (!stream) {
      app.setState({publishButtonDisabled: true, publishStreamNameDisabled: true});
      if (Browser.isSafariWebRTC()) {
        Flashphoner.playFirstVideo(localVideo, true, PRELOADER_URL).then(() => {
            app.publishStream();
            app.startRecording();
        });
        return;
      }
      app.publishStream();
    } else {
      app.setState({publishButtonDisabled: true});
      stream.stop();
    }


    
  }

 startRecording = () =>  {
  //let app = this;

   //var url = ('#url').val();
   let url = this.state.serverUrl;
  //var url =  document.getElementById("url").value;
    console.log(url);

  // if (Flashphoner.getSessions().length > 0) {
  //       var session = Flashphoner.getSessions()[0];
  //       if (session.getServerUrl() === url) {
  //         app.publishStream(session);
  //           return;
  //       } else {
  //           //remove session DISCONNECTED and FAILED callbacks
  //           session.on(SESSION_STATUS.DISCONNECTED, function () {
  //           });
  //           session.on(SESSION_STATUS.FAILED, function () {
  //           });
  //           session.disconnect();
  //       }
  //   }

 //create session
//  console.log("Create new session with url " + url);
//  Flashphoner.createSession({urlServer: url}).on(SESSION_STATUS.ESTABLISHED, function (session) {
//   this.setStatus(session.status());
//      //session connected, start playback
//      app.publishStream(session);
//  }).on(SESSION_STATUS.DISCONNECTED, function () {
//   this.setStatus(SESSION_STATUS.DISCONNECTED);
//      this.onStopped();
//  }).on(SESSION_STATUS.FAILED, function () {
//   this.setStatus(SESSION_STATUS.FAILED);
//      this.onStopped();
//  });

  }

  onMuteAudioClick = () => {
    let stream = this.state.publishStream;

    if (!stream) return;
    if (stream.isAudioMuted()) {
      stream.unmuteAudio();
      this.setState({muteAudioButtonText: 'Mute Audio'});
    } else {
      stream.muteAudio();
      this.setState({muteAudioButtonText: 'Unmute Audio'});      
    }
  }

  onMuteVideoClick = () => {
    let stream = this.state.publishStream;

    if (!stream) return;
    if (stream.isVideoMuted()) {
      stream.unmuteVideo();
      this.setState({muteVideoButtonText: 'Mute Video'});
    } else {
      stream.muteVideo();
      this.setState({muteVideoButtonText: 'Unmute Video'});      
    }
  }



  onPlayClick = () => {
    let app = this;
    let stream = this.state.playStream;
    let remoteVideo = this.state.remoteVideo;

    if (!remoteVideo) return;
    if (!stream) {
      console.log(PRELOADER_URL);
      app.setState({playButtonDisabled: true, playStreamNameDisabled: true});
      if (Flashphoner.getMediaProviders()[0] === "WSPlayer") {
        Flashphoner.playFirstSound();
      } else if (Browser.isSafariWebRTC()) {
        Flashphoner.playFirstVideo(remoteVideo, false, PRELOADER_URL).then(() => {
            app.playStream();
        });
        return;
      }
      app.playStream();
    } else {
      app.setState({playButtonDisabled: true});
      stream.stop();
    }
  }



  
  render() {
    return (
      <div className="container">
        <h2 className="text-danger">{this.state.apiFailed}</h2>
        <div className="row">
          <h2 className="text-center mb-5">Flashphoner</h2>
          <p className="text-center mb-5">cpu-aws</p>
          {/* gpu-aws gpu-rack-bank cpu-aws */}
        </div>


        <div className="row row-space">
            <div className="col-sm-8 offset-sm-2">
              <div className="input-group col-sm-4 offset-sm-4">
                <input type="text"
                 className="form-control d-none"
                 placeholder="Server Url"
                 value={this.state.serverUrl}
                 disabled={this.state.serverUrlDisabled}
                 onChange={(event) => this.setState({serverUrl: event.target.value})}
                />
                <div className="input-group-btn d-none0">
                  <button
                   className="btn btn-outline-dark"
                   disabled={this.state.connectButtonDisabled}
                   onClick={() => this.onConnectClick()}>
                    {this.state.connectButtonText}
                  </button>
                </div>
              </div>
              <div className="text-center  d-none0" style={{marginTop: '0px'}}>
                <div className={this.state.sessionStatusClass}>{this.state.sessionStatus}</div>
              </div>
            </div>

            <div className="col-sm-6 offset-sm-3 mb-3">
            <label>Microphone</label>
             <select id="audioInput"></select>
              </div>

              <div className="col-sm-6 offset-sm-3  mb-3">
              <label>Camera</label>
              <select id="videoInput"></select>
              </div>
              </div>

      

        <div className="row row-space">
          <div className="col-sm-8 offset-sm-2">
            <div className="text-center text-muted">Local</div>
            <div className="fp-Video">
              <div id="localVideo" className="display"  ></div>
            </div>
            <div className="input-group col-sm-5" style={{margin: '10px auto 0 auto'}}>
              <input type="text" 
               className="form-control"
               placeholder="Stream Name"
               value={this.state.publishStreamName}
               disabled={this.state.publishStreamNameDisabled}
               onChange={(event) => this.setState({publishStreamName: event.target.value})}
              />
              <div className="input-group-btn">
                <button
                 className="btn btn-outline-dark"
                 disabled={this.state.publishButtonDisabled}
                 onClick={() => this.onPublishClick()}>
                  {this.state.publishButtonText}
                </button>
              </div>
            </div>
            <div className="text-center" style={{marginTop: '20px'}}>
              <div className={this.state.publishStatusClass}>{this.state.publishStatus}</div>
            </div>

            <div className="col-sm-2">
            <label id="outVideoStat">Video stats</label>
            <div id='data-em'></div>
            <label id="outAudioStat">Audio stats</label>
            <div  id='data-em'></div>
            <label id="outConnectionStat">Connection</label>
        </div>



            <div className="row row-space">
            {/* <div className="col-sm-2  mb-3"></div> */}
            <div className="col-sm-4  offset-sm-2 mb-3">
              <button
             className="btn btn-outline-dark"
             disabled={this.state.muteAudioButtonDisabled}
             onClick={() => this.onMuteAudioClick()}>
              {this.state.muteAudioButtonText}
            </button>
            </div>
            <div className="col-sm-4  offset-sm-2  mb-3">
            <button
             className="btn btn-outline-dark"
             disabled={this.state.muteVideoButtonDisabled}
             onClick={() => this.onMuteVideoClick()}>
              {this.state.muteVideoButtonText}
            </button>
            </div>
            </div>

            {/* <div className="col-sm-12   mb-3">
            <label>Microphone Gain</label>
    <input id="sendGain" type="text"  value={this.state.gainValue}  onChange={(event) => this.setState({gainValue: event.target.value})}/><br/>
</div> */}
<div className="col-sm-12   mb-3">
<div className="table-responsive">
<table className="table">
  <thead className="thead-dark">
    <tr>
      <th scope="col">Quality</th>
      <th scope="col">Width</th>
      <th scope="col">Height </th>
      <th scope="col">Bitrate min</th>
      <th scope="col">Bitrate max</th>
      <th scope="col">FPS</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <th scope="row">HD (High Definition)</th>
      <td>1280</td>
      <td>720</td>
      <td>1200</td>
      <td>1900</td>
      <td>30</td>
    </tr>
    <tr>
      <th scope="row">FHD (Full HD)</th>
      <td>1920</td>
      <td>1080</td>
      <td>1900</td>
      <td>4500</td>
      <td>40</td>
    </tr>
    <tr>
      <th scope="row">2K (Quad HD or QHD)</th>
      <td>2560</td>
      <td>1440</td>
      <td>4500</td>
      <td>6500</td>
      <td>50</td>
    </tr>
    <tr>
      <th scope="row">4K (Ultra HD)</th>
      <td>3840</td>
      <td>2160</td>
      <td>6500</td>
      <td>8500</td>
      <td>60</td>
    </tr>
  </tbody>
</table>


</div>

{/* 
<h6 className="mb-2">HD (High Definition): 1280 x 720 pixels Bitrate min-1200 max-1900 FPS 30</h6>

<h6 className="mb-2">FHD (Full HD): 1920 x 1080 pixels Bitrate min-1900 max-4500 FPS 40</h6>

<h6 className="mb-2">2K (Quad HD or QHD): 2560 x 1440 pixels Bitrate min-4500 max-6500 FPS 50</h6>

<h6 className="mb-2">4K (Ultra HD): 3840 x 2160 pixels Bitrate min-6500 max-8500 FPS 60</h6> */}
</div>
<div className='row'>
<div className="col-sm-6  mb-3">
  <h5>Resolution</h5>
              <label>  Width</label>
              <select id="sendWidth">
                  <option   value='1280'  onChange={(event) => this.setState({width: event.target.value})}> 1280 pixels</option> 
                  <option   value='1920'  onChange={(event) => this.setState({width: event.target.value})}> 1920 pixels</option>  
                  <option   value='2560'  onChange={(event) => this.setState({width: event.target.value})}> 2560 pixels</option> 
                  <option   value='3840'  onChange={(event) => this.setState({width: event.target.value})}> 3840 pixels</option>       
            </select>
            <label>Height</label>
              <select  id="sendHeight">
                  <option  value='720'  onChange={(event) => this.setState({height: event.target.value})}> 720 pixels</option> 
                  <option  value='1080'  onChange={(event) => this.setState({height: event.target.value})}> 1080 pixels</option>  
                  <option  value='1440'  onChange={(event) => this.setState({height: event.target.value})}> 1440 pixels</option> 
                  <option  value='2160'  onChange={(event) => this.setState({height: event.target.value})}> 2160 pixels</option>       
            </select>
         
              </div>



              <div className="col-sm-4  mb-3">
                <h5>Bitrate</h5>
              <label> min</label>
              <select id="sendBitrateMin">
                  <option   value='1200'   onChange={(event) => this.setState({minBitrate: event.target.value})}> 1200</option>
                  <option   value='1900'   onChange={(event) => this.setState({minBitrate: event.target.value})}> 1900</option> 
                  <option   value='4500'   onChange={(event) => this.setState({minBitrate: event.target.value})}> 4500</option> 
                  <option   value='6500'   onChange={(event) => this.setState({minBitrate: event.target.value})}> 6500</option>  
              </select>
            <label>max</label>
              <select  id="sendBitrateMax">
                  <option  value='1900'  onChange={(event) => this.setState({maxBitrate: event.target.value})}> 1900</option> 
                  <option  value='4500'  onChange={(event) => this.setState({maxBitrate: event.target.value})}> 4500</option> 
                  <option  value='6500'  onChange={(event) => this.setState({maxBitrate: event.target.value})}> 6500</option> 
                  <option  value='8500'  onChange={(event) => this.setState({maxBitrate: event.target.value})}> 8500</option> 
     
            </select>
         
              </div>

              <div className="col-sm-2  mb-3">
                <h5>FPS</h5>
              <label>FPS</label>
              <select id="sendFPS">
                  <option   value='30'   onChange={(event) => this.setState({frameRate: event.target.value})}> 30 FPS</option>
                  <option   value='40'   onChange={(event) => this.setState({frameRate: event.target.value})}> 40 FPS</option> 
                  <option   value='50'   onChange={(event) => this.setState({frameRate: event.target.value})}> 50 FPS</option> 
                  <option   value='60'   onChange={(event) => this.setState({frameRate: event.target.value})}> 60 FPS</option>  
              </select>
           
         
              </div>
              </div>

{/* <div className="col-sm-12   mb-3">
            <label>Resolution Width</label>
    <input id="sendWidth" type="text" style={{width: '80px'}}  value={this.state.width}  onChange={(event) => this.setState({width: event.target.value})}/>

    <label>Height</label>
    <input id="sendHeight" type="text"  style={{width: '80px'}}  value={this.state.height}  onChange={(event) => this.setState({height: event.target.value})}/><br/>
   
    </div> */}

{/* <div className="col-sm-12   mb-3"><label>Bitrate min</label>
    <input id="sendBitrateMin" style={{width: '80px'}}  type="text" value={this.state.minBitrate}  onChange={(event) => this.setState({minBitrate: event.target.value})}/>
   
 <label>max</label>
    <input id="sendBitrateMax" style={{width: '80px'}}  type="text" value={this.state.maxBitrate}  onChange={(event) => this.setState({maxBitrate: event.target.value})}/>
</div>
<div className="col-sm-12   mb-3"> <label>FPS</label>
    <input id="sendFPS" type="text" value={this.state.frameRate}  onChange={(event) => this.setState({frameRate: event.target.value})}/><br/>
    
    </div> */}

          </div>
          {/* <div className="col-sm-6">
            <div className="text-center text-muted">Remote</div>
            <div className="fp-Video">
              <div id="remoteVideo" className="display"></div>
            </div>
            <div className="input-group col-sm-5" style={{margin: '10px auto 0 auto'}}>
              <input type="text" 
               className="form-control"
               placeholder="Stream Name"
               value={this.state.playStreamName}
               disabled={this.state.playStreamNameDisabled}
               onChange={(event) => this.setState({playStreamName: event.target.value})}
              />
              <div className="input-group-btn">
                <button
                 className="btn btn-outline-dark"
                 disabled={this.state.playButtonDisabled}
                 onClick={() => this.onPlayClick()}>
                  {this.state.playButtonText}
                </button>
              </div>
            </div>
            <div className="text-center" style={{marginTop: '20px'}}>
              <div className={this.state.playStatusClass}>{this.state.playStatus}</div>
            </div>
            
          </div> */}
  
              {/* <div className="col-sm-6 offset-sm-3">
                <div className="fp-remoteVideo">
                    <video id="recVideo" src="" controls=""></video>
                </div>
                <div id="downloadDiv" className="text-center" >
                    <Link to="" id="link" >Download recorded stream </Link>
                </div>
            </div>   */}

        </div>
       
      </div>
    );
  };

  
}

export default Home;

